org.apache.poi.hslf.record

## Class DocumentAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.DocumentAtom

- All Implemented Interfaces:
    GenericRecord

      public final class DocumentAtom
      extends RecordAtom

  A Document Atom (type 1001). Holds misc information on the PowerPoint document, lots of them size and scale related.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DocumentAtom.SlideSize` Holds the different Slide Size values

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFirstSlideNum()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `long` | `getHandoutMasterPersist()` Returns a reference to the HandoutMaster, or 0 if none
    `long` | `getNotesMasterPersist()` Returns a reference to the NotesMaster, or 0 if none
    `long` | `getNotesSizeX()`
    `long` | `getNotesSizeY()`
    `boolean` | `getOmitTitlePlace()` Have the placeholders on the title slide been omitted?
    `long` | `getRecordType()` We are of type 1001
    `boolean` | `getRightToLeft()` Is this a Bi-Directional PPT Doc?
    `boolean` | `getSaveWithFonts()` Was the document saved with True Type fonts embeded?
    `long` | `getServerZoomFrom()`
    `long` | `getServerZoomTo()`
    `boolean` | `getShowComments()` Are comment shapes visible?
    `int` | `getSlideSizeType()` Deprecated. to be replaced by enum
    `DocumentAtom.SlideSize` | `getSlideSizeTypeEnum()`
    `long` | `getSlideSizeX()`
    `long` | `getSlideSizeY()`
    `void` | `setNotesSizeX(long x)`
    `void` | `setNotesSizeY(long y)`
    `void` | `setSaveWithFonts(boolean saveWithFonts)` Set the font embedding state
    `void` | `setServerZoomFrom(long zoom)`
    `void` | `setServerZoomTo(long zoom)`
    `void` | `setSlideSize(DocumentAtom.SlideSize size)`
    `void` | `setSlideSizeX(long x)`
    `void` | `setSlideSizeY(long y)`
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSlideSizeX

          public long getSlideSizeX()

    - #### getSlideSizeY

          public long getSlideSizeY()

    - #### getNotesSizeX

          public long getNotesSizeX()

    - #### getNotesSizeY

          public long getNotesSizeY()

    - #### setSlideSizeX

          public void setSlideSizeX(long x)

    - #### setSlideSizeY

          public void setSlideSizeY(long y)

    - #### setNotesSizeX

          public void setNotesSizeX(long x)

    - #### setNotesSizeY

          public void setNotesSizeY(long y)

    - #### getServerZoomFrom

          public long getServerZoomFrom()

    - #### getServerZoomTo

          public long getServerZoomTo()

    - #### setServerZoomFrom

          public void setServerZoomFrom(long zoom)

    - #### setServerZoomTo

          public void setServerZoomTo(long zoom)

    - #### getNotesMasterPersist

          public long getNotesMasterPersist()

      Returns a reference to the NotesMaster, or 0 if none

    - #### getHandoutMasterPersist

          public long getHandoutMasterPersist()

      Returns a reference to the HandoutMaster, or 0 if none

    - #### getFirstSlideNum

          public int getFirstSlideNum()

    - #### getSlideSizeType

          @Deprecated
           @Removal(version="5.0.0")
          public int getSlideSizeType()

      Deprecated. to be replaced by enum
      The Size of the Document's slides, @see DocumentAtom.SlideSize for values

    - #### getSlideSizeTypeEnum

          public DocumentAtom.SlideSize getSlideSizeTypeEnum()

    - #### setSlideSize

          public void setSlideSize(DocumentAtom.SlideSize size)

    - #### getSaveWithFonts

          public boolean getSaveWithFonts()

      Was the document saved with True Type fonts embeded?

    - #### setSaveWithFonts

          public void setSaveWithFonts(boolean saveWithFonts)

      Set the font embedding state

    - #### getOmitTitlePlace

          public boolean getOmitTitlePlace()

      Have the placeholders on the title slide been omitted?

    - #### getRightToLeft

          public boolean getRightToLeft()

      Is this a Bi-Directional PPT Doc?

    - #### getShowComments

          public boolean getShowComments()

      Are comment shapes visible?

    - #### getRecordType

          public long getRecordType()

      We are of type 1001
      Specified by:
        `getRecordType` in class `Record`

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.